Bug 1268618 - [abrt] control-center: net_device_simple_get_speed(): gnome-control-center killed by SIGSEGV
[abrt] control-center: net_device_simple_get_speed(): gnome-control-center ki...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e01aa5990e51321a6914c2c8d3e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-03 14:00 EDT by Mikhail
Modified: 2016-12-20 09:51 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:51:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.88 KB, text/plain)
2015-10-03 14:00 EDT, Mikhail
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-03 14:00 EDT, Mikhail
no flags Details
File: core_backtrace (5.74 KB, text/plain)
2015-10-03 14:00 EDT, Mikhail
no flags Details
File: dso_list (27.78 KB, text/plain)
2015-10-03 14:00 EDT, Mikhail
no flags Details
File: environ (1.96 KB, text/plain)
2015-10-03 14:00 EDT, Mikhail
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-03 14:00 EDT, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-03 14:00 EDT, Mikhail
no flags Details
File: maps (124.62 KB, text/plain)
2015-10-03 14:00 EDT, Mikhail
no flags Details
File: mountinfo (3.94 KB, text/plain)
2015-10-03 14:00 EDT, Mikhail
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-03 14:00 EDT, Mikhail
no flags Details
File: open_fds (1.73 KB, text/plain)
2015-10-03 14:00 EDT, Mikhail
no flags Details
File: proc_pid_status (1020 bytes, text/plain)
2015-10-03 14:00 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2015-10-03 14:00:28 EDT
Version-Release number of selected component:
control-center-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        gnome-control-center network show-device /org/freedesktop/NetworkManager/Devices/0
crash_function: net_device_simple_get_speed
executable:     /usr/bin/gnome-control-center
global_pid:     25142
kernel:         4.2.2-300.fc23.x86_64+debug
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 net_device_simple_get_speed at net-device-simple.c:268
 #1 device_ethernet_refresh_ui at net-device-ethernet.c:231
 #6 connection_inited at nm-remote-settings.c:522
 #7 g_simple_async_result_complete at gsimpleasyncresult.c:801
 #8 init_async_complete at nm-remote-connection.c:662
 #9 init_async_got_properties at nm-remote-connection.c:681
 #10 complete_pending_call_and_unlock at ../../dbus/dbus-connection.c:2331
 #16 g_main_context_iteration at gmain.c:3901
 #17 g_application_run at gapplication.c:2311

Potential duplicate: bug 1021366
Comment 1 Mikhail 2015-10-03 14:00:34 EDT
Created attachment 1079649 [details]
File: backtrace
Comment 2 Mikhail 2015-10-03 14:00:36 EDT
Created attachment 1079650 [details]
File: cgroup
Comment 3 Mikhail 2015-10-03 14:00:37 EDT
Created attachment 1079651 [details]
File: core_backtrace
Comment 4 Mikhail 2015-10-03 14:00:40 EDT
Created attachment 1079652 [details]
File: dso_list
Comment 5 Mikhail 2015-10-03 14:00:41 EDT
Created attachment 1079653 [details]
File: environ
Comment 6 Mikhail 2015-10-03 14:00:43 EDT
Created attachment 1079654 [details]
File: exploitable
Comment 7 Mikhail 2015-10-03 14:00:44 EDT
Created attachment 1079655 [details]
File: limits
Comment 8 Mikhail 2015-10-03 14:00:47 EDT
Created attachment 1079656 [details]
File: maps
Comment 9 Mikhail 2015-10-03 14:00:49 EDT
Created attachment 1079657 [details]
File: mountinfo
Comment 10 Mikhail 2015-10-03 14:00:50 EDT
Created attachment 1079658 [details]
File: namespaces
Comment 11 Mikhail 2015-10-03 14:00:52 EDT
Created attachment 1079659 [details]
File: open_fds
Comment 12 Mikhail 2015-10-03 14:00:54 EDT
Created attachment 1079660 [details]
File: proc_pid_status
Comment 13 Алексей Шилин 2016-01-02 09:54:27 EST
Another user experienced a similar problem:

Steps to reproduce the problem:

1. Open gnome-control-center (Settings).
2. Open its' Network configuration module and leave it open.
3. Launch a terminal and run `systemctl restart NetworkManager.service' as root to restart the NM.
4. Wait a few seconds until the control center crashes.

The control center doesn't crash on stopping the NM, but does on starting it again.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gnome-control-center network show-device /org/freedesktop/NetworkManager/Devices/1
crash_function: net_device_simple_get_speed
executable:     /usr/bin/gnome-control-center
global_pid:     9821
kernel:         4.2.3-300.fc23.i686
package:        control-center-3.18.2-1.fc23
reason:         gnome-control-center killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Daniel 2016-01-26 13:55:20 EST
I can confirm Алексей’s steps to reproduce this issue. Although. I didn’t even need to open gnome-controll-center first.
Comment 15 Fedora End Of Life 2016-11-24 07:41:21 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 09:51:30 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.